<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado  = $_SESSION['idUsuarioLogado'];
$dataHoraHoje   = date("Y-m-d H:i:s");

    $idAgendamento                  = $_POST['idAgendamento'];
    $nomePortador                   = $_POST['nomePortador'];
    $documentoPortador              = $_POST['documentoPortador'];
    $telefonePortador               = $_POST['telefonePortador'];
    $carroPoliclinica               = $_POST['carroPoliclinica'];
    $precisaAcompanhantePoliclinica = $_POST['acompanhantePoliclinica'];
    $nomeAcompanhante               = $_POST['nomeAcompanhante'];
    $documentoAcompanhante          = $_POST['documentoAcompanhante'];
    $maeAcompanhante                = $_POST['maeAcompanhante'];
    $dataNascimentoAcompanhanete    = $_POST['dataNascimentoAcompanhanete'] == "" ? null : $_POST['dataNascimentoAcompanhanete'];
    $localPartidaTransporte         = $_POST['localPartidaTransporte'];
    $statusMarcacao                 = 'S';
    $statusAgendamento              = 'E';

    $sqlCancelamento = "UPDATE reg_tb_agendamentos SET
    nome_portador=:setPortadorEntrega,
    documento_portador=:setDocumentoPortadorEntrega,
    telefone_portador=:setTelefonePortadorEntrega,
    carro_policlinica=:setCarroPoliclinica,
    precisaacompanhante_policlinica=:setPrecisaAcompanhantePoliclinica,
    nomeacompanhante_policlinica=:setNomeAcompanhantePoliclinica,
    documentoacompanhante_policlinica=:setDocAcompanhantePoliclinica,
    maeacompanhante_policlinica=:setMaeAcompanhantePoliclinica,
    nascimentocompanhante_policlinica=:setNascimentoAcompanhantePoliclinica,
    localpartida_policlinica=:setLocalPartidaPoliclinica,
    status_agendamento=:setStatusAgendamento,
    marcacao_entregue=:setStatusMarcacao,
    datahora_entrega=:setDataHoraEntrega,
    id_usuario_entregou=:setUsuarioEntregou
    WHERE id_agendamento='$idAgendamento'";

    $stmAgendamento = $rsConexao->prepare($sqlCancelamento);
    $stmAgendamento->bindParam(":setPortadorEntrega", $nomePortador, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setDocumentoPortadorEntrega", $documentoPortador, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setTelefonePortadorEntrega", $telefonePortador, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setCarroPoliclinica", $carroPoliclinica, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setPrecisaAcompanhantePoliclinica", $precisaAcompanhantePoliclinica, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setNomeAcompanhantePoliclinica", $nomeAcompanhante, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setDocAcompanhantePoliclinica", $documentoAcompanhante, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setMaeAcompanhantePoliclinica", $maeAcompanhante, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setNascimentoAcompanhantePoliclinica", $dataNascimentoAcompanhanete, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setLocalPartidaPoliclinica", $localPartidaTransporte, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setStatusAgendamento", $statusAgendamento, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setStatusMarcacao", $statusMarcacao, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setDataHoraEntrega", $dataHoraHoje, PDO::PARAM_STR);
    $stmAgendamento->bindParam(":setUsuarioEntregou", $usuarioLogado, PDO::PARAM_STR);
    $stmAgendamento->execute();
#-------------------------------------------------------------#
?>